Gtk_MenuBar(3)

NAME - Gtk_MenuBar

HEADER REQUIRED
#include <gtk--/menubar.h&gt;>

BASE CLASSES
Gtk_MenuShell(3)

PROPERTIES

shadow_type
    Type: GtkShadowType
    Get: none
    Set: set_shadow_type()

     Can be set to {num GTK_SHADOW_NONE, GTK_SHADOW_IN, GTK_SHADOW_OUT, GTK_SHADOW_ETCHED_IN, GTK_SHADOW_ETCHED_OUT }

PUBLIC MEMBER INDEX
    Gtk_MenuBar();
    Gtk_MenuBar(GtkMenuBar *castitem);
    void  append(const Gtk_MenuItem &child);
      Add menu items (which would have a {
    void  prepend(const Gtk_MenuItem &child);
    void  insert(const Gtk_MenuItem &child, gint position);
    void  set_shadow_type(GtkShadowType type);
    GtkMenuBar*  gtkobj();
    const GtkMenuBar*  gtkobj() const;
    static bool  isGtkMenuBar(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkMenuBar  BaseObjectType;
    typedef GtkMenuBarClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  menu_bar_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS